<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$material = $_COOKIE['material'];
$objetocalculo = new calculos(); //calcula todos valores finais
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
//echo("amostralong= $amostraLong<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$pdf=new FPDF('P','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->SetFont('Arial','',12);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 //$maximoLAdobe=297;//isso para horizontal
			 //$maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-6;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     $fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 $linha=0;
			 $posicaox1=10;
             $larg1=20;
             $larg2=20;
             $larg3=30;
             $larg4=50;
             $larg5=15;
             $larg6=10;
             $larg7=10;
             $larg8=10;
             $larg9=10;
             $larg10=10;
	 				 $pdf->AddPage();//adicionando a primera pafina 
	    			 $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";				 
					 $pdf->Image($caminhoFinal,10,6,48,23,'JPG'); 
					 
				     $disparaCabecalho=0;	
				 	 $margemEsquerda=10;
					 $margemDireita=$maximoLAdobe-6;
					 $larguraUtil=$maximoLAdobe-16;
					 $cinza=220;
					 $pdf->SetFillColor($cinza,$cinza,$cinza);
					 $grosso=0.7;
					 $medio=0.4;
					 $fino=0.3;
					 $extraFino=0.2;
					 //as cotas
					 $cota1=5;//inicio de tudo
					 $cota2=25;//final do cabecalho e inicio da amostra
				         $cota3=53;//pureza
				 	 $cota4=85;
				 	 $cota5=130;//inicio de germinacao
				         $cota6=0;
					 $cota7=157; //parte onde vao as caixinhas A,B,C,D,E,F.................
					 $cota8=260;
				     $cotaFinal=250;  
					 //LINHAS DO CONTORNO
					 $pdf->SetLineWidth($grosso);

					 $pdf->Rect($margemEsquerda,$cota1,$larguraUtil,195);
					 
					 
					 $pdf->SetLineWidth($fino);
				     ####################################CABECALHO################################################
					 $pdf->SetFont('Arial','B',10);
					 $posicaoCab1=64;
					 //$pdf->Line($margemEsquerda,$cota2,$posicaoCab1,$cota2);

					 //linha vertical a direita do timbre
					 
			         $pdf->setXY($posicaoCab1,$cota1);
                     $pdf->SetFont('Arial','B',10);
  			         $pdf->setXY($posicaoCab1,$cota1);
                     $pdf->Cell(80,8,utf8_decode('FORMULÁRIO DE REGISTRO'),1,0,'C');
					 $pdf->Rect($posicaoCab1,$cota1+8,80,16);
                     $pdf->setXY($posicaoCab1,$cota1+8);
                     $pdf->Cell(80,7,utf8_decode('AVALIAÇÃO DO TESTE DE TETRAZÓLIO -'),0,0,'C');
                     $pdf->setXY($posicaoCab1,$cota1+16);
                     $pdf->Cell(80,7,utf8_decode('VIABILIDADE'),0,0,'C');

                     //parte da direota
					 $posicaoCab2=$posicaoCab1+80;
					 $pdf->Rect($posicaoCab2,$cota1+0,60,24);
  			         $pdf->setXY($posicaoCab2,$cota1);
                     $pdf->Cell(70,5,utf8_decode('Doc.: FO-5.4.06 mod 1  '),0,1,'L');
  			         $pdf->setXY($posicaoCab2,$cota1+5);
                     $pdf->Cell(70,5,utf8_decode('Nº Revisão: 04'),0,0,'L');
  			         $pdf->setXY($posicaoCab2,$cota1+10);
                     $pdf->Cell(70,5,utf8_decode('Data revisão: 07/05/2013'),0,0,'L');
  			         $pdf->setXY($posicaoCab2,$cota1+15);
                     $pdf->Cell(70,5,utf8_decode('Nº páginas: 01 de 01'),0,0,'L');




                     $cota1+=27;
			         $pdf->setXY($margemEsquerda,$cota1);
                     $pdf->SetFont('Arial','B',10);
                     $pdf->Cell(30,6,'Elaborado por:',0,0,'L');
                     $pdf->SetFont('Arial','',10);
                     $pdf->Cell(68,6,'Maria Laene Moreira de Carvalho',0,0,'L');
                     $pdf->SetFont('Arial','B',10);
                     $pdf->Cell(30,6,'Aprovado por:',0,0,'L');
                     $pdf->SetFont('Arial','',10);
                     $pdf->Cell(60,6,utf8_decode('João Almir Oliveira'),0,0,'L');
					 $pdf->Rect($margemEsquerda,$cota1,$larguraUtil,6);
					 $pdf->Line(106,$cota1,106,$cota1+6);




                     $cota1+=6;
			         $pdf->setXY($margemEsquerda,$cota1);
                     $pdf->SetFont('Arial','B',10);
					 $vetorCapturaGeral=$objetocalculo->capturaGeralAmostra($amostraLong);
                     $pdf->Cell(194,6,'Amostra:'.$vetorCapturaGeral[1],1,0,'L');
					 $pdf->setXY($margemEsquerda,$cota1+6);
					 $pdf->Cell(30,6,'Lote:'.$vetorCapturaGeral[2],1,0,'L');
					 $pdf->Cell(164,6,utf8_decode('Espécie:'.$vetorCapturaGeral[32]),1,0,'L');


                     $cota1+=10;
					 //imagem fixa 
					 $caminhoFinal="ImagensClientes/imagem_tzo_ufla.jpg";				 
					 $pdf->Image($caminhoFinal,10,$cota1,194.3,218.9,'JPG'); 
					 
					 
					 
  

		ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");
		
?>
